# Class BilleraMetric

java.lang.Object
jebl.evolution.treemetrics.BilleraMetric

All Implemented Interfaces:
  `RootedTreeMetric`

public class BilleraMetric extends Object implements RootedTreeMetric
Billera tree distance - sum of change in branch lengths required to transform one tree to the second Note that this interface is not optimal for a large set where all pairs are required. Creating TreeBiPartitionInfo's as a pre step is better unless memory is an issue.

Version:
  $Id$
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`BilleraMetric()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getMetric(RootedTree tree1, RootedTree tree2)`
calculates the metric between two rooted trees

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BilleraMetric

public BilleraMetric()

## Method Details

### getMetric

public double getMetric(RootedTree tree1, RootedTree tree2)
Description copied from interface: `RootedTreeMetric`
calculates the metric between two rooted trees

Specified by:
  `getMetric` in interface `RootedTreeMetric`
Parameters:
  `tree1` - first tree
  `tree2` - second tree
Returns:
  the tree metric value